package main

import (
	"Jugadores/pb"
	"context"
	"log"

	"google.golang.org/grpc"
)

func AddJugador() {
	//Conexion
	conn, err := grpc.Dial("localhost:5000", grpc.WithInsecure())
	if err != nil {
		log.Fatal(err)
	}

	//Crear cliente para enviar el mensaje con la conexion
	client := pb.NewAddJugadorClient(conn)

	req := &pb.AddJugadorRequest{
		Address: "localhost:100",
	}

	res, err := client.RequestAddJugador(context.Background(), req)
	if err != nil {
		log.Fatal(err)
	}

	log.Print(res.NumeroJugador)
	defer conn.Close()
}
